# GimpUi.Ruler.set_range

    @accepts(GimpUi.Ruler, float, float, float)
    @returns(none)
    def set_range(self, lower, upper, max_size):
        # Python wrapper for gimp_ruler_set_range()

This sets the range of the ruler.

Since 2.8

self

  a GimpUi.Ruler

lower

  the lower limit of the ruler

upper

  the upper limit of the ruler

max_size

  the maximum size of the ruler used when calculating the space to leave for the text